PostgreSQL 7.2.1 Documentation
Prev |  | Next

# set_defbase

## Name

set_defbase -- set default database name specification [DV]

## Synopsis

    set_defbase(database)

### Parameters

`database`

  New default database name (string/None).

### Return Type

string or None

  Previous default database name specification.

### Exceptions

TypeError

  Bad argument type, or too many arguments.

## Description

`set_defbase()` sets the default database name for new connections. If None is supplied as parameter, environment variables will be used in future connections. It returns the previous setting for default database name.

Prev | Home | Next
get_defbase | Up | Connection object: `pgobject`